Subject: bug#20139: 25.0.50; eval-buffer ignores lexical-binding

From: Stefan Monnier <[email-masked]>
Date: Thu, 19 Mar 2015 10:15:29 -0400

> IOW eval-buffer obeys the "file"-local variable by calling
>     specbind (Qlexical_binding, lisp_file_lexically_bound_p (buf) ? Qt : Qnil);
> while eval-region simply uses the current value of lexical-binding.

Indeed, and I don't think we can easily change either of these.
Jorgen, what is the original problem you're trying to solve?

        Stefan